> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workflow Folder

> Rename a folder and/or move it under a different parent. Setting `parent_folder_id=null` moves it to the root. Cannot set a folder as its own parent or under one of its descendants.



## OpenAPI

````yaml PATCH /workflow/folder/{folder_id}/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /workflow/folder/{folder_id}/:
    patch:
      tags:
        - workflow
      summary: Update Workflow Folder
      description: >-
        Rename a folder and/or move it under a different parent. Setting
        `parent_folder_id=null` moves it to the root. Cannot set a folder as its
        own parent or under one of its descendants.
      operationId: workflow_folder_partial_update
      parameters:
        - in: path
          name: folder_id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedWorkflowFolderUpdateRequestRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedWorkflowFolderUpdateRequestRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedWorkflowFolderUpdateRequestRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
          description: Folder updated.
        '400':
          description: Circular parent reference.
        '404':
          description: Folder or parent not found.
      security:
        - jwtAuth: []
components:
  schemas:
    PatchedWorkflowFolderUpdateRequestRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        parent_folder_id:
          type: string
          format: uuid
          nullable: true
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````